local addon = DiminishingReturns
if not addon then return end

local L = setmetatable({}, {
	__index = function(self, key)
		if key ~= nil then
			self[key] = tostring(key)
		end
		return tostring(key)
	end,
	__newindex = function(self, key, value)
		if value == true then value = key end
		rawset(self, tostring(key), tostring(value))
	end
})
addon.L = L

L['Always'] = true
L["Arena"] = true
L['Being PvP flagged'] = true
L['Blizzard: arena enemies'] = true
L['Bottom left'] = true
L['Bottom right'] = true
L['Bottom'] = true
L['Center'] = true
L['DiminishingReturns loading condition'] = true
L['Direction'] = true
L['Enable test mode'] = true
L['Entering arena only'] = true
L['Entering battleground or arena'] = true
L['Frame options'] = true
L['Frame side'] = true
L['Icon anchor'] = true
L['Icon size'] = true
L['Icon spacing'] = true
L['Learn categories to show'] = true
L['Left'] = true
L['No supported addon has been loaded yet.'] = true
L['Reset duration'] = true
L['Right'] = true
L['Select diminishing returns categories to display.'] = true
L['Shown categories'] = true
L['Thanks to AddonLoader, DiminishingReturns loading can be postponed until you really need it.'] = true
L['This category is triggered by the following effects:\n%s'] = true
L['This is the delay between the end of an effect and the time it can be applied at full length again. This delay is officialy 15 seconds but higher values have been recorded. You can do some tests and adjust this value accordingly. This will not affect running diminishing returns.'] = true
L['Top left'] = true
L['Top right'] = true
L['Top'] = true
L['When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them.'] = true
L['X offset'] = true
L['Y offset'] = true

--------------------------------------------------------------------------------
-- Locales from localization system
--------------------------------------------------------------------------------

-- %Localization: diminishingreturns
-- AUTOMATICALLY GENERATED BY UpdateLocalization.lua
-- ANY CHANGE BELOW THIS LINE WILL BE LOST ON NEXT UPDATE
-- CHANGES SHOULD BE MADE USING http://www.wowace.com/addons/diminishingreturns/localization/

local locale = GetLocale()
if locale == "frFR" then
L["Always"] = "Toujours"
L["Arena"] = "Arène"
L["Being PvP flagged"] = "Avoir le marqueur JcJ"
L["Blizzard: arena enemies"] = "Blizzard: ennemis d'arène"
L["Bottom"] = "Bas"
L["Bottom left"] = "Bas gauche"
L["Bottom right"] = "Bas droit"
L["Center"] = "Centre"
L["DiminishingReturns loading condition"] = "Condition de chargement de DiminishingReturns"
L["Direction"] = "Direction"
L["Enable test mode"] = "Activer le mode de test"
L["Entering arena only"] = "Uniquement entrer dans une arène"
L["Entering battleground or arena"] = "Entrer dans un champ de bataille ou une arène"
L["Frame options"] = "Options d'affichage"
L["Frame side"] = "Côté de la barre"
L["Icon anchor"] = "Ancrage des icônes"
L["Icon size"] = "Taille des icônes"
L["Icon spacing"] = "Espacement des icônes"
L["Learn categories to show"] = "Apprendre les catégories à afficher"
L["Left"] = "Gauche"
L["No supported addon has been loaded yet."] = "Aucun addon supporté n'a été chargé pour l'instant."
L["Right"] = "Droit"
L["Select diminishing returns categories to display."] = "Sélectionnez les catégories de rendement décroissant à afficher."
L["Shown categories"] = "Catégories affichées"
L["Thanks to AddonLoader, DiminishingReturns loading can be postponed until you really need it."] = "Grâce à AddonLoader, le chargement DiminishingReturns peut être repoussé jusqu'au ce que vous en ayez vraiment besoin."
L[ [=[This category is triggered by the following effects:
%s]=] ] = [=[Cette catégorie est déclenchée par les effets suivants :
%s]=]
L["Top"] = "Haut"
L["Top left"] = "Haut gauche"
L["Top right"] = "Haut droit"
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = "Si coché, DiminishingReturns détectera les catégories à afficher quand vous utilisez des sorts qui les déclenchent."
L["X offset"] = "Décalage en X"
L["Y offset"] = "Décalage en Y"
elseif locale == "esES" then
L["Always"] = "Siempre"
L["Arena"] = "Arena"
L["Being PvP flagged"] = "Marcado con bandera PVP" -- Needs review
L["Blizzard: arena enemies"] = "Blizzard: enemigos de arena"
L["Bottom"] = "Abajo"
L["Bottom left"] = "Abajo a la izquierda"
L["Bottom right"] = "Abajo a la derecha"
L["Center"] = "Centrado"
L["Direction"] = "Dirección"
L["Left"] = "Izquierda"
L["Right"] = "Derecha"
L["Top"] = "Arriba"
L["Top left"] = "Arriba a la izquierda"
L["Top right"] = "Arriba a la derecha"
elseif locale == "koKR" then
L["Always"] = "항상"
L["Arena"] = "투기장"
L["Being PvP flagged"] = "PvP 깃발전"
L["Blizzard: arena enemies"] = "블리자드 : 투기장 대상"
L["Bottom"] = "하단"
L["Bottom left"] = "하단 왼쪽"
L["Bottom right"] = "하단 오른쪽"
L["Center"] = "가운데"
L["DiminishingReturns loading condition"] = "DiminishingReturns 로딩 조건"
L["Direction"] = "아이콘 생성 방향"
L["Enable test mode"] = "테스트 모드 허용"
L["Entering arena only"] = "투기장에서만 사용"
L["Entering battleground or arena"] = "전장 혹은 투기장 사용"
L["Frame options"] = "프레임 옵션"
L["Frame side"] = "프레임 가장자리"
L["Icon anchor"] = "아이콘 위치"
L["Icon size"] = "아이콘 크기"
L["Icon spacing"] = "아이콘 간격"
L["Learn categories to show"] = "카테고리 사용"
L["Left"] = "왼쪽"
L["No supported addon has been loaded yet."] = "지원 가능한 애드온을 로딩하지 못했습니다."
L["Right"] = "오른쪽"
L["Select diminishing returns categories to display."] = "선택 가능한 Diminishing returns 보기"
L["Shown categories"] = "카테고리들 보기"
L["Thanks to AddonLoader, DiminishingReturns loading can be postponed until you really need it."] = "AddonLoader에게 감사하군요. 당신이 선택한 조건에 의해서만 DiminishingReturns가 로딩됩니다."
L[ [=[This category is triggered by the following effects:
%s]=] ] = [=[이 카테고리 트리거를 따릅니다.
%s]=]
L["Top"] = "상단"
L["Top left"] = "상단 왼쪽"
L["Top right"] = "상단 오른쪽"
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = "기능이 활성화되면, DiminishingReturns를 사용할 때 표시할 카테고리를 볼 수 있습니다."
L["X offset"] = "X 좌표"
L["Y offset"] = "Y 좌표"
end
